Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom.helper
Class ResettableAtomContentHandlerAdapter

    java.lang.Object
      com.ibm.portal.resolver.xml.helper.LeafContentHandler
          com.ibm.portal.resolver.atom.helper.LeafAtomContentHandler
              com.ibm.portal.resolver.atom.helper.ResettableAtomContentHandlerAdapter

All Implemented Interfaces:
  AtomContentHandler, ResettableAtomContentHandler, ResettableContentHandler, org.xml.sax.ContentHandler

    public class ResettableAtomContentHandlerAdapter

extends LeafAtomContentHandler

Base class that can be used for chains of atom content handlers. The implementation simply delegates to the next element in the handler chain. This class should be used as a convenience baseclass for implementations of `ResettableAtomContentHandler`.

Since:
  6.0.1

Constructor Summary
`protected` | `ResettableAtomContentHandlerAdapter(ResettableAtomContentHandler aDelegate)`

Method Summary
`AtomContentHandler` | `getAtomContentHandler()` Returns the atom content handler that is currently attached to the chain
`void` | `setAtomContentHandler(AtomContentHandler aHandler)` Assign a new ATOM content handler that this handler will reroute its events onto.

Methods inherited from class com.ibm.portal.resolver.atom.helper.LeafAtomContentHandler
`createQName, endAuthor, endCategory, endContent, endContributor, endEMail, endEntry, endFeed, endGenerator, endIcon, endId, endLink, endLogo, endName, endPublished, endRights, endSource, endSubtitle, endSummary, endTitle, endUpdated, endURI, getContentHandler, setContentHandler, startAuthor, startCategory, startContent, startContributor, startEMail, startEntry, startFeed, startGenerator, startIcon, startId, startLink, startLogo, startName, startPublished, startRights, startSource, startSubtitle, startSummary, startTitle, startUpdated, startURI`

Methods inherited from class com.ibm.portal.resolver.xml.helper.LeafContentHandler
`box, characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### ResettableAtomContentHandlerAdapter

    protected ResettableAtomContentHandlerAdapter(ResettableAtomContentHandler aDelegate)

Parameters:
  `aDelegate` -

Method Detail

### setAtomContentHandler

    public void setAtomContentHandler(AtomContentHandler aHandler)

  Description copied from interface: `ResettableAtomContentHandler`
  Assign a new ATOM content handler that this handler will reroute its events onto. If the content handler is not assigned, then the events will be silently ignored

  Specified by:
    `setAtomContentHandler` in interface `ResettableAtomContentHandler`
  Overrides:
    `setAtomContentHandler` in class `LeafAtomContentHandler`
  Parameters:
    `aHandler` - target content handler for the events.

### getAtomContentHandler

    public AtomContentHandler getAtomContentHandler()

  Description copied from interface: `ResettableAtomContentHandler`
  Returns the atom content handler that is currently attached to the chain

  Specified by:
    `getAtomContentHandler` in interface `ResettableAtomContentHandler`
  Overrides:
    `getAtomContentHandler` in class `LeafAtomContentHandler`
  Returns:
    the target content handler

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD